
%define gtk2_version 2.4.0
%define glib2_version 2.4.0
%define nautilus_version 2.2.0
%define desktop_file_utils_version 0.9
%define libgnomeprint_version 2.6.0
%define libgnomeprintui_version 2.6.0
%define gphoto_version 2.1.3
%define gconf_version 2.14

Summary: 	Image viewer, editor, organizer
Name: 		gthumb
Version: 	2.10.6
Release: 	1
URL: 		http://gthumb.sourceforge.net
Source0: 	http://download.gnome.org/sources/gthumb/2.10/%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		User Interface/X
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: 	gtk2+-devel >= %{gtk2_version}
BuildRequires: 	glib-devel >= %{glib2_version}
BuildRequires: 	nautilus >= %{nautilus_version}
BuildRequires: 	libgnomeprint-devel >= %{libgnomeprint_version}
BuildRequires: 	libgnomeprintui-devel >= %{libgnomeprintui_version}
BuildRequires: 	libexif-devel
#BuildRequires: 	libiptcdata-devel
#BuildRequires: 	libopenraw-gnome-devel
BuildRequires: 	libgnomeui-devel >= 2.2.0
BuildRequires: 	libpng-devel
BuildRequires: 	gettext
BuildRequires: 	automake
BuildRequires: 	libtool
BuildRequires: 	intltool
BuildRequires: 	perl(XML::Parser)
BuildRequires: 	gnome-doc-utils >= 0.3.2
BuildRequires: 	libgphoto2-devel >= %{gphoto_version}
BuildRequires: 	libjpeg-devel
BuildRequires: 	libtiff-devel

Requires(post): scrollkeeper
Requires(post): desktop-file-utils >= %{desktop_file_utils_version}
Requires(pre): GConf >= %{gconf_version}
Requires(post): GConf >= %{gconf_version}
Requires(preun): GConf >= %{gconf_version}

Requires(postun): scrollkeeper
Requires(postun): desktop-file-utils >= %{desktop_file_utils_version}

Patch0: gthumb-libdir.patch

%description
gthumb is an application for viewing, editing, and organizing 
collections of images.

%prep
%setup -q
%patch0 -p1 -b .libdir

%build

# patch 0 affects Makefile.am
#aclocal
#automake 
%configure --sysconfdir=%_sysconfdir/gnome
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper
find $RPM_BUILD_ROOT -name "*.a" -exec rm {} \;
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gthumb.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gthumb.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gthumb.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_sysconfdir}/gnome/gconf/schemas/*
%{_libdir}/gthumb
%{_datadir}/gthumb
%{_datadir}/gnome/help/*
%{_datadir}/applications/*
%{_datadir}/man/man*/*
%{_datadir}/omf/*
%{_datadir}/icons/hicolor/*
/usr/lib/bonobo/servers/GNOME_GThumb.server

%changelog
* Wed Aug 29 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.6-1
- Initial release
